Subject: Re: Can't build doc anymore (v1.7.3.2)

From: Francis Moreau <[email-masked]>
Date: Tue, 23 Nov 2010 10:32:01 +0100

Michael J Gruber <[email-masked]> writes:

[...]

>
> That's what they all say ;)
>

But they were all drunk ;)

>
> How successful is:
>
> make XMLTO_EXTRA="--skip-validation" doc
>

still failing:

  $ make prefix=/usr/local NO_CURL=1 ASCIIDOC8=y DOCBOOK2X_TEXI=db2x_docbook2texi ASCIIDOC_NO_ROFF=y XMLTO_EXTRA="--skip-validation" V=1 doc
  make -C Documentation all
  make[1]: Entering directory `/home/fmoreau/git/Documentation'
  make -C ../  GIT-VERSION-FILE
  make[2]: Entering directory `/home/fmoreau/git'
  make[2]: `GIT-VERSION-FILE' is up to date.
  make[2]: Leaving directory `/home/fmoreau/git'
  rm -f git-fetch.1 && \
  xmlto -m manpage-normal.xsl --skip-validation man git-fetch.xml
  I/O error : Attempt to load network entity http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
  warning: failed to load external entity "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
  compilation error: file /tmp/xmlto-xsl.A7kzn5 line 4 element import
  xsl:import : unable to load http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
  make[1]: *** [git-fetch.1] Error 1
  make[1]: Leaving directory `/home/fmoreau/git/Documentation'
  make: *** [doc] Error 2

> This should avoid hitting the network for the dtd under all
> circumstances. (Are you online when make'ing?)

Yes I am.

> Normally, the catalogue should take care of that but this seems to be
> failing for you.
>
> Just to make sure: You're not building as root, are you?
>

No, I'm not building as root.

> You can also use the quick-install-doc target, of course, but we want
> install-doc to work as well on a mainstream distro.

Yes I know but I wanted to report just in case there's something wrong
in the git doc build process.

Thanks
-- 
Francis